scala.tools.nsc.typechecker.Typers.Typer

# checkNoEscaping

#### object checkNoEscaping extends Global.TypeMap

Check that type of given tree does not contain local or private components.

Source
  Typers.scala

Linear Supertypes
Global.TypeMap, (Global.Type) ⇒ Global.Type, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. checkNoEscaping
2. TypeMap
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer

   Definition Classes
     TypeMap

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addHidden(sym: Global.Symbol): Unit

5. #### def andThen[A](g: (Global.Type) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

6. #### def apply(t: Global.Type): Global.Type

   Definition Classes
     checkNoEscaping → TypeMap → Function1

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ Global.Type

   Definition Classes
     Function1
   Annotations
     @unspecialized()

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def flipped[T](body: ⇒ T): T

    Definition Classes
      TypeMap
    Annotations
      @inline()

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def mapOver(tree: Global.Tree, giveup: () ⇒ Nothing): Global.Tree

    Definition Classes
      TypeMap

18. #### def mapOver(tree: Global.Tree): Global.Tree

    Definition Classes
      TypeMap

19. #### def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo

    Definition Classes
      TypeMap

20. #### def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]

    Definition Classes
      TypeMap

21. #### def mapOver(scope: Global.Scope): Global.Scope

    Definition Classes
      TypeMap

22. #### def mapOver(tp: Global.Type): Global.Type

    Definition Classes
      TypeMap

23. #### def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      TypeMap

24. #### def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]

    Definition Classes
      TypeMap

25. #### def mapOverArgs(args: List[Global.Type], tparams: List[Global.Symbol]): List[Global.Type]

    Attributes
      protected
    Definition Classes
      TypeMap

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def noChangeToSymbols(origSyms: List[Global.Symbol]): Boolean

    Attributes
      protected
    Definition Classes
      TypeMap

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def privates[T <: Global.Tree](owner: Global.Symbol, tree: T): T

    Check that type `tree` does not refer to private components unless itself is wrapped in something private (`owner` tells where the type occurs).

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

33. #### def variance: reflect.internal.Variance

    Definition Classes
      TypeMap

34. #### def variance_=(x: reflect.internal.Variance): Unit

    Definition Classes
      TypeMap

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def withVariance[T](v: reflect.internal.Variance)(body: ⇒ T): T

    Definition Classes
      TypeMap

### Inherited from Global.TypeMap

### Inherited from (Global.Type) ⇒ Global.Type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped